LINUX.ORG.RU

Выпуск openSUSE Leap 15.1

 , ,


0

2

22 мая состоялся выпуск новой версии дистрибутива openSUSE Leap 15.1

В новой версии полностью обновлен графический стек. Несмотря на то, что в данном релизе используется ядро версии 4.12, в него была бэкпортирована поддержка графического оборудования, актуальная для ядра 4.19 (в том числе улучшенная поддержка чипсета AMD Vega).

Начиная с Leap 15.1, Network Manager будет использоваться по умолчанию как для ноутбуков, так и для настольных компьютеров. В предыдущих версиях дистрибутива Network Manager использовался по умолчанию только при установке на ноутбуки. Тем не менее, для серверных инсталляций стандартным вариантом по-прежнему остается Wicked - система расширенной настройки сети openSUSE.

Изменения коснулись и YaST: обновление управления системными службами, настройка Firewalld, улучшенный редактор разделов диска, а также более качественная поддержка HiDPI.

Версии программного обеспечения, поставляемые в данном релизе:

  • KDE Plasma 5.12 и KDE Applications 18.12.3;
  • GNOME 3.26;
  • systemd версии 234;
  • LibreOffice 6.1.3;
  • CUPS 2.2.7.

>>> https://en.opensuse.org/Features_15.1

★★★★

Проверено: Shaman007 ()

Использую на десктопе как своего рода «тихую гавань» еще с февраля месяца. Даже в процессе разработки система выглядела очень стабильно и предсказуемо, рекомендую.

awesomenickname ★★★★★ ()
Ответ на: комментарий от awesomenickname

А многие использовали ее еще 10 лет назад ;)

Тут у нас 2 типа йузеров просто, поэтому такая фрагментарность. Те, кто знал сабж раньше, скорее всего на него уже не вернуться - а те кто «юзают с февраля» могут рассказывать свои офигительные истории))

anonymous ()

Хороший был дистрибутив, перестал использовать по политическим мотивам :)

petyanamlt ★★★ ()
Ответ на: комментарий от anonymous

Арч не торт, voidlinux c xbps-src куда больше arch, чем сам archlinux.

One ★★★★ ()
Ответ на: комментарий от DawnCaster

У них общее ядро с их коммерческим дистрибутивом

gutaper ★★★★ ()
Ответ на: комментарий от awesomenickname

Я пользовался SUSE only (12.1) целый месяц в 2012 году. Это был первый опыт полноценного линуксоюзания. Вообще, если удалить винду и все инсталляторы насовсем, а линукс настроить как следует, то затягивает, уходить с удобств уже не хочется. Особенно как представишь как винду тюнинговать с нуля придется. Рекомендую такой подход.

anonymous ()
Ответ на: комментарий от anonymous

Три. Юзаю лет 10, после пригорания от застоя в Leap перешёл на Tumbleweed. Менять дистр раздумал.

Суся как старая жена. Задолбала, но без нее как-то не то все

gutaper ★★★★ ()
Ответ на: комментарий от petyanamlt

Это какая-то новая волна в задротстве :) На что променял?

gutaper ★★★★ ()
Ответ на: комментарий от gutaper

Щас кубунта стоит. Почему задротство? В крыму федора не фурычит толком, такая швабодка

petyanamlt ★★★ ()

Несколько раз пытался перелезть на Сусу из-за Яста. Но каждый раз убеждался, что насколько Яст крутой концептуально, настолько же он тормозной и глючный практически.

qtm ★★ ()
Ответ на: комментарий от petyanamlt

Я сторонник решать проблемы по мере их поступления.

Одно дело переходить на этот дистр с условного дебиана, зная что могут ограничить. Другое дело уже пользоваться им долгое время и на слухах начинать что-то менять (речь же о десктопе?)

gutaper ★★★★ ()
Ответ на: комментарий от qtm

Там так и не реализовали запоминание развернутости окна? Вот в конфигураторе Mageia такой недоработки нет.

anonymous ()
Ответ на: комментарий от gutaper

Ну не совсем так, не я им пользовался 12 лет, но какая то новая версия, точно номер не помню, стала страшным глюкодромом, много раз получал при загрузке консоль. То они с дровами невидии накосячат, то btrfs снапшотами забьёт весь диск и система не грузится...то ещё какая нибудь хрень. Я конечно всё чинил, но надоело.

Пришлось менять, возвращаться смысла не вижу.

petyanamlt ★★★ ()
Ответ на: комментарий от petyanamlt

Ну тогда логично. А то изначально звучало, будто сменил, подумав, что может быть наверное все таки не знаю вряд ли в вдруг начнут притеснять в угоду трампампаму

gutaper ★★★★ ()
Ответ на: комментарий от petyanamlt

Пришлось менять, возвращаться смысла не вижу.

При всех недостатках Сусы, променять ее на Костыльбунту - перебор.

qtm ★★ ()
Ответ на: комментарий от anonymous

Я имел ввиду, что использую версию 15.1 с момента версии альфы.

С данным дистрибутивом я знаком давно, вот даже новость когда-то запилил openSUSE 13.1 , очень удачный был релиз.

awesomenickname ★★★★★ ()

дистрибутивы не нужны есть linux from scratch

iluha16 ()

GNOME 3.26

Почему такое старье?

Rinaldus ★★★★★ ()
Ответ на: комментарий от qtm

Яст - это _статический_ конфигуратр системы. Как он может быть (мог быть, чо там ща не знаю) тормозным?? Может кедовариант какой-то не такой? ;) Короче я теряю следы вашей мысли))

anonymous ()

Впрочем, помянем! - У меня как раз полбутылки водки стоит) Дистрибутив был лучшим из RPM-based, мнение задротов с федоркой пожалуй проигнорирую. Пока не началось.. пока не осталось выбора в Ясте между инитами хотя бы.

anonymous ()
Ответ на: комментарий от anonymous

А первую половину ты уже опрокинул, вероятно...

gutaper ★★★★ ()
Ответ на: комментарий от gutaper

Не спрашивай, я в отпуске.. впрочем, к чему бы этот вопрос? Я же не спрашиваю, не под амфетамином ли тут 50% каментеров))

anonymous ()
Ответ на: комментарий от CryNet

Сюся и без ковыряния может заглохнуть. А так как она полна велосипедов, понять что сломалось и почему не чинится, порой очень трудно. Но если работает, то да, все красиво.

utanho ()
Ответ на: комментарий от anonymous

Сидел на сусе с 10.3 по 12.1 Потом задолбало. Суся покатилась с такой скоростью, что аж волосы назад. Лип42 - вообще былинный отказ.

utanho ()

Каждая новость про openSUSE - сборник историй «Почему я свалил» :)

gutaper ★★★★ ()
Ответ на: комментарий от gutaper

Да это те же историки, что свалили цать лет назад и каждый год рассказывают о более голубом небе и зеленой траве

anonymous ()
Ответ на: комментарий от oberkut

Как его починить? У меня сломались gimp, zeal, wget с https ссылками. Я так понял, проблема возникает где-то в libpthread, но не уверен, что правильно искал.

anonymous ()
Ответ на: комментарий от gutaper

Каждая новость про openSUSE - сборник историй «Почему я свалил» :)

Я не свалил, но проблемы дистрибутива очевидны. В «стабильных» релизах куча багов, в билдсервисе почти перестали обновляться пакеты, которые собираются чуть сложнее, чем трехстрочным спеком, в багзилле не дождешься фиксов даже по критическим багам. Короче, оно мертвое.

anonymous ()
Ответ на: комментарий от anonymous

Два чая этому анониму. История вот прям про меня и парочку моих коллег. Я использую сусю ещё с 9-й версии, и насколько-же он был круче, чем та фигня что они делают сегодня. Двойная DVD9 болванка, нормальный DE, эх, были времена ... Сейчас-же всё стало настолько плохо, что вместо обновления на 15.1 - думаю таки переезжать.

DawnCaster ()
Последнее исправление: DawnCaster (всего исправлений: 1)
Ответ на: комментарий от DawnCaster

Я вообще не понимаю зачем нужны релизы с короткой поддержкой (менее 1,5 лет). Имеет смысл использовать или LTS (3-4 года) или роллинг. Tumbleweed вот хочу попробовать второй системой.

anonymous ()
Ответ на: комментарий от anonymous

Tumbleweed вот хочу попробовать второй системой.

Я пробовал использовать его, и что-то не срослось. Система рискует превратиться в тыкву после любого обновления. Хуже даже чем у Win10.

DawnCaster ()
Ответ на: комментарий от gutaper

Да просто потому, что дистрибутив (10.3 → ...) постоянно изменялся. Вот и доизменялся до текущего состояния, когда кол-во изменений для многих стало критическим. Для кого-то раньше, для кого-то позже. Меня напрягло уже тогда, когда пропала опция выбора обычный_init/systemd.

anonymous ()

Поздравляю всех с выпуском новой версии дистрибутива openSUSE Leap 15.1 !

Желаю всем счастья, здоровья, успехов, благополучия!...

anonymous ()
Ответ на: комментарий от anonymous

пропала опция выбора обычный init/systemd

Ну вот а в других дистрах init выпиливали без всяких опций и ничего. Суся поблажки давала и потом за это же поплатилась.
Знаю одного активного юзера, который из-за этого ушел на какую-то маргинальщину. Не принимать же его критику всерьез.

Еще пример. В сусе есть интеграция vbox, но без общих папок. Люди жалуются (сам был таким). Но в других дистрах как правило вообще нет интеграции с vbox и ничего, пользователи ставят сами. Это называется «дашь палец - откусят руку».

anonymous ()
Ответ на: комментарий от anonymous

Я ссылку кидал на баг. Там в комментах есть workaround до прихода фикса

gutaper ★★★★ ()
Ответ на: комментарий от DawnCaster

А какой дистр не из новья (а уже обросший) держит марку сейчас? Кмк все скатились, просто на разное дно

gutaper ★★★★ ()
Ответ на: комментарий от anonymous

Дистр (софт) не меняется: да он сдох. Изменения: раньше было лучше. Я устал, я ухОжу.

Всем не угодить все равно.

gutaper ★★★★ ()
Последнее исправление: gutaper (всего исправлений: 1)
Ответ на: комментарий от gutaper

Я поэтому и хочу что-нибудь как можно более минималистичное попробовать: т.к у разрабов куда меньше возможностей будет свой дистр испортить. Весь сложный софт у меня и так уже в своих песочницах крутится, давно так сделал что-бы каждый раз не испытывать боль и страдание с установкой обновлений дистра. А остальное можно ставить через Flatpak какой-нибудь.

Вчера вот попробовал ClearLinux на виртуалке: дистр - вообще топчик. Грузится всего за 1.5 секунды (без X11), работает шустро, нужный минимум софта из коробки есть. Хочу ещё заценить какой-нибудь Alpine - там вообще вместо glibc musl используется, дистр вообще должен считанные мегабайты занимать.

Так что, я думаю, что выход из сложившийся ситуации - в минимализме и всяких flatpak'ах. А сложную разработку можно вести под дебианом (в виртуалке, контейнере или какой другой песочнице).

DawnCaster ()
Ответ на: комментарий от gutaper

Но из старых дистров марку держит, наверное, только Дебиан. Но ставить его себе как основную систему всё-равно не хочется.

DawnCaster ()

Несмотря на то, что в данном релизе используется ядро версии 4.12, в него была бэкпортирована поддержка графического оборудования, актуальная для ядра 4.19

А почему такое старое ядро? Если бы LTS было бы понятно. Или я что-то пропустил?

mbivanyuk ★★★★★ ()
Ответ на: комментарий от gutaper

А какой дистр не из новья (а уже обросший) держит марку сейчас?

Debian 9.9 и Devuan ASCII. Как-то так.

Odalist ★★★★★ ()
Ответ на: комментарий от gutaper

Чтоб у того оленя, что такой баг допустил, волосы внутрь черепа проросли. Чтоб он, гнида, печенькой подавился во время вечернего распития чая, а операторы скорой звонок не смогли принять из-за того что софт отвалился из-за его бага. Я всю ночь провозился с этим багом, убил систему в говно.

Toten_Kopf ()
Ответ на: комментарий от mbivanyuk

Выше пишут, что для унификации кодовой базой с ынтерпразным дистром. Хотя что им в ынтерпрайзном дистре изначально помешало выбрать нормальное ведро (4.9 на тот момент, который будет поддерживаться аж до 2023 года) - для меня всё-равно загадка.

DawnCaster ()
Ответ на: комментарий от Toten_Kopf

операторы скорой звонок не смогли принять из-за того что софт отвалился из-за его бага.

Думаю, ни одна экстренная служба не будет держать основные системы на базе роллинг-дистра. Это даже без относительно сузи. Это надо какую-то особую форму слабоумия иметь, чтобы так делать.

DawnCaster ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.